GoLang Phar::apiVersion

request it (87)
GoLang replacement for PHP's Phar::apiVersion [edit | history]



Do you know a GoLang replacement for PHP's Phar::apiVersion? Write it!

PHP Phar::apiVersion

PHP original manual for Phar::apiVersion [ show | php.net ]

Phar::apiVersion

(PHP 5 >= 5.3.0, PHP 7, PECL phar >= 1.0.0)

Phar::apiVersionReturns the api version

Description

final public static string Phar::apiVersion ( void )

Return the API version of the phar file format that will be used when creating phars. The Phar extension supports reading API version 1.0.0 or newer. API version 1.1.0 is required for SHA-256 and SHA-512 hash, and API version 1.1.1 is required to store empty directories.

Parameters

Return Values

The API version string as in "1.0.0".

Examples

Example #1 A Phar::apiVersion() example

<?php
echo Phar::apiVersion();
?>

The above example will output:

1.1.1